> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Staking Pools List

> Returns a list of staking pools



## OpenAPI

````yaml /apis/portal/openapi.json get /api/{portalId}/staking-pools
openapi: 3.0.2
info:
  title: Magna Portal API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Auth
    description: Authentication related endpoints
  - name: Token
    description: Token claiming
  - name: Config
    description: Portal configuration
  - name: Misc
    description: Miscellaneous operational endpoints
  - name: Staking
    description: Staking pool operations
  - name: Compliance
    description: Wallet compliance operations
paths:
  /api/{portalId}/staking-pools:
    get:
      tags:
        - Staking
      summary: Staking Pools List
      description: Returns a list of staking pools
      parameters:
        - name: portalId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: unique portal id (provided by Magna)
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  stakingPools:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: unique staking pool id
                        name:
                          type: string
                          description: name of the staking pool
                        description:
                          type: string
                          nullable: true
                          description: description of the staking pool
                        tokenId:
                          type: string
                          format: uuid
                          description: token id associated with the staking pool
                        contractId:
                          type: string
                          format: uuid
                          description: contract id associated with the staking pool
                        status:
                          type: string
                          description: current status of the staking pool
                        totalStaked:
                          type: string
                          description: total amount staked in the pool
                        totalRewardsDeposited:
                          type: string
                          description: total rewards deposited in the pool
                        periodFinish:
                          type: string
                          format: date-time
                          nullable: true
                          description: end date of the staking period
                        minimumStakeAmount:
                          type: string
                          description: minimum amount required to stake
                        minimumStakeLength:
                          type: object
                          properties:
                            value:
                              type: integer
                              description: value
                            period:
                              type: string
                              enum:
                                - HOUR
                                - DAY
                                - WEEK
                                - MONTH
                                - YEAR
                              description: period
                          required:
                            - value
                            - period
                          description: minimum duration for staking
                        maxApy:
                          type: string
                          description: maximum APY
                        averageApy:
                          type: string
                          description: average APY
                        stakeWithdrawalDelay:
                          type: object
                          properties:
                            value:
                              type: integer
                              description: value
                            period:
                              type: string
                              enum:
                                - HOUR
                                - DAY
                                - WEEK
                                - MONTH
                                - YEAR
                              description: period
                          required:
                            - value
                            - period
                          description: delay before stake can be withdrawn
                        rewardWithdrawalDelay:
                          type: object
                          properties:
                            value:
                              type: integer
                              description: value
                            period:
                              type: string
                              enum:
                                - HOUR
                                - DAY
                                - WEEK
                                - MONTH
                                - YEAR
                              description: period
                          required:
                            - value
                            - period
                          description: delay before rewards can be withdrawn
                        createdAt:
                          type: string
                          format: date-time
                          description: creation timestamp
                        updatedAt:
                          type: string
                          format: date-time
                          description: last update timestamp
                        contract:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            version:
                              type: string
                            address:
                              type: string
                          required:
                            - id
                            - version
                            - address
                          nullable: true
                      required:
                        - id
                        - name
                        - description
                        - tokenId
                        - contractId
                        - status
                        - totalStaked
                        - totalRewardsDeposited
                        - periodFinish
                        - minimumStakeAmount
                        - minimumStakeLength
                        - maxApy
                        - averageApy
                        - stakeWithdrawalDelay
                        - rewardWithdrawalDelay
                        - createdAt
                        - updatedAt
                        - contract
                required:
                  - stakingPools
                example:
                  stakingPools:
                    - id: 123e4567-e89b-12d3-a456-426614174000
                      name: ETH Staking Pool
                      description: Stake your ETH tokens to earn rewards
                      tokenId: 123e4567-e89b-12d3-a456-426614174001
                      contractId: 123e4567-e89b-12d3-a456-426614174002
                      status: ACTIVE
                      totalStaked: '1000000000000000000000'
                      totalRewardsDeposited: '50000000000000000000'
                      periodFinish: '2024-12-31T23:59:59Z'
                      minimumStakeAmount: '32000000000000000000'
                      maxApy: '100'
                      averageApy: '7'
                      minimumStakeLength:
                        value: 1
                        period: DAY
                      stakeWithdrawalDelay:
                        value: 1
                        period: DAY
                      rewardWithdrawalDelay:
                        value: 1
                        period: DAY
                      createdAt: '2024-01-01T00:00:00Z'
                      updatedAt: '2024-01-01T00:00:00Z'
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                          required:
                            - path
                            - message
                    required:
                      - errors
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - type: string
                            enum:
                              - DISTRIBUTION_NOT_FOUND
                              - HUMANITY_CHECK_INCOMPLETE
                              - DISTRIBUTION_NOT_STARTED
                              - STAKING_POOL_NOT_FOUND
                              - STAKE_NOT_FOUND
                          - type: string
                    required:
                      - error
                description: Client Error
                example:
                  errors:
                    - path: query.wallet
                      message: Required
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: error message
                required:
                  - error
                description: Server Error
                example:
                  error: internal server error

````